CVE-2022-29863

Memory Allocation with Excessive Size Value in OPCFoundation.NetStandard.Opc.Ua in nuget/OPCFoundation.NetStandard.Opc.Ua

Identifiers

GHSA-r7pq-3x6p-7jcm, CVE-2022-29863

Package Slug

nuget/OPCFoundation.NetStandard.Opc.Ua

Vulnerability

Memory Allocation with Excessive Size Value in OPCFoundation.NetStandard.Opc.Ua

Description

OPC UA .NET Standard Stack 1.04.368 allows remote attacker to cause a crash via a crafted message that triggers excessive memory allocation.

Affected Versions

All versions up to 1.4.368.53

Solution

Upgrade to version 1.4.368.58 or above.

Last Modified

2022-06-19

source